> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get Customer Billing > Get a billing summary for the customer's account, including invoice history. ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}/billing openapi: 3.0.0 info: title: bunny.net Partner Portal API version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Customers - name: Audit Log - name: Contract - name: Billing - name: Pricing - name: Products paths: /partner/customer/{customerUserId}/billing: get: tags: - Billing summary: Get Customer Billing description: >- Get a billing summary for the customer's account, including invoice history. operationId: GetPartnerCustomerBillingEndpoint_GetBilling parameters: - name: customerUserId in: path required: true schema: type: string x-position: 1 responses: '200': description: Billing view. content: application/json: schema: $ref: '#/components/schemas/BillingModel' '403': description: Customer is not assigned to this partner. security: - AccessKey: - ResellerPartner - MSPPartner - bearer: - ResellerPartner - MSPPartner components: schemas: BillingModel: type: object additionalProperties: false properties: Balance: type: number description: The current account balance format: double ThisMonthCharges: type: number description: The current account charges of the running month format: double LastRechargeBalance: type: number description: Last recharge amount balance format: double AvailableBalance: type: number description: The current account balance plus available (unexpired) coupon credit format: double CouponBalance: type: number description: All available (unexpired) coupon money on the account format: decimal MonthlyCouponUsage: type: number description: The total coupon credit used this month across all services format: decimal BillingRecords: type: array description: The list of billing records for this account nullable: true items: $ref: '#/components/schemas/BillingRecordModel' BillingHistoryChart: type: object description: The constructed billing history chart data nullable: true additionalProperties: type: integer format: int64 MonthlyChargesEUTraffic: type: number description: The total charges this month paid for European traffic format: double MonthlyChargesUSTraffic: type: number description: The total charges this month paid for North American traffic format: double MonthlyChargesASIATraffic: type: number description: The total charges this month paid for Asian and Oceanian traffic format: double MonthlyChargesAFTraffic: type: number description: The total charges this month paid for African traffic format: double MonthlyChargesSATraffic: type: number description: The total charges this month paid for South American traffic format: double MonthlyChargesStorage: type: number description: The total charges this month paid for Edge Storage format: double MonthlyChargesDNS: type: number description: The total monthly charges for Bunny DNS format: double MonthlyChargesOptimizer: type: number description: The monthly charges caused by optimizer. format: double MonthlyChargesTranscribe: type: number description: The total monthly charges for Bunny Stream Transcribe format: double MonthlyChargesPremiumEncoding: type: number description: The total monthly charges for Bunny Stream Premium Encoding format: decimal MonthlyChargesExtraPullZones: type: number description: The monthly charges caused by extra pull zones. format: double MonthlyChargesExtraStorageZones: type: number description: The monthly charges caused by extra storage zones. format: double MonthlyChargesExtraDnsZones: type: number description: The monthly charges caused by extra DNS zones. format: double MonthlyChargesExtraVideoLibraries: type: number description: The monthly charges caused by extra video libraries. format: double MonthlyChargesScripting: type: number description: The total monthly charges for Bunny Edge Scripting format: double MonthlyChargesScriptingRequests: type: number description: The total monthly charges for Bunny Edge Scripting Requests format: double MonthlyChargesScriptingCpu: type: number description: The total monthly charges for Bunny Edge Scripting CPU usage format: double MonthlyChargesDrm: type: number description: The total monthly charges for DRM format: double MonthlyChargesMagicContainers: type: number description: The total monthly charges for Magic Containers format: decimal MonthlyMcCpu: description: The monthly charges and usage for Magic Containers CPU nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyMcMemory: description: The monthly charges and usage for Magic Containers Memory nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyMcIp: description: The monthly charges and usage for Magic Containers Anycast IP nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyMcIngressTraffic: description: The monthly charges and usage for Magic Containers Ingress Traffic nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyMcEgressTraffic: description: The monthly charges and usage for Magic Containers Egress Traffic nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyMcVolumes: description: >- The monthly charges and usage for Magic Containers Persistent Volumes nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyChargesShield: type: number description: The total monthly charges for Shield format: decimal MonthlyChargesTaxes: type: number description: The total monthly charges for Taxes format: decimal MonthlyChargesWebSockets: type: number description: The total monthly charges for WebSockets format: decimal MonthlyChargesDB: type: number description: The total monthly charges for DB format: decimal MonthlyChargesLoadBalancer: type: number description: The total monthly charges for Load Balancer format: decimal MonthlyDBWrites: description: The monthly charges and usage for BunnyDB row writes nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyDBReads: description: The monthly charges and usage for BunnyDB row reads nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyDBStorage: description: The monthly charges and usage for BunnyDB storage nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyDBReplica: description: The monthly charges and usage for BunnyDB replica storage nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyChargesAiGateway: type: number description: The total monthly charges for AI Gateway format: decimal MonthlyAiGatewayInputTokens: description: The monthly charges and usage for AI Gateway input tokens nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyAiGatewayOutputTokens: description: The monthly charges and usage for AI Gateway output tokens nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyAiGatewayCachedTokens: description: The monthly charges and usage for AI Gateway cached tokens nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyAiGatewayOtherCharges: description: >- The monthly AI Gateway charges that aren't for input, output or cached tokens, and the number of requests that had them nullable: true oneOf: - $ref: '#/components/schemas/UsageBreakdown' MonthlyBandwidthUsed: type: integer description: Total bandwidth used by the account during this month. format: int64 MonthlyDnsSmartQueriesServed: type: integer description: Total number of Bunny DNS smart queries served this month. format: int64 MonthlyDnsNormalQueriesServed: type: integer description: Total number of Bunny DNS normal queries served this month. format: int64 MonthlyTranscriptionMinutes: type: integer description: Total minutes used for Bunny Stream Transcribe this month. format: int64 MonthlyPremiumEncodingBillableMinutes: type: integer description: >- Total billable minutes used for Bunny Stream Premium Encoding this month. format: int64 MonthlyDRMLicensesIssued: type: integer description: DRM (enterprise) licenses issued this month. format: int64 MonthlyScriptingRequests: type: integer description: Total number of edge script requests this month. format: int64 MonthlyScriptingCpuTime: type: integer description: Total edge script CPU time (milliseconds) used this month. format: int64 BillingEnabled: type: boolean description: Determines if billing is currently enabled for this user. MinimumMonthlyCommit: type: number description: Determines the minimum monthly commit of the user. format: double VATRate: type: number description: The VAT rate for the user's account. format: decimal NextMonthVATRate: type: number description: Next month VAT rate for the user's account. format: decimal AutomaticPaymentImageUrl: type: string description: >- If an automatic payment method is configured, this will contain the image url of the payment method nullable: true AutomaticPaymentCardType: type: string description: >- If an automatic payment method is configured with a credit card, this will contain the name of the payment credit card nullable: true AutomaticPaymentIdentifier: type: string description: >- If an automatic payment method is configured, this will contain the identifier of the payment method nullable: true AutomaticPaymentAmount: type: number description: >- If an automatic payments are configured, this contains the payment amount that will be made during an automatic recharge format: decimal AutomaticRechargeTreshold: type: number description: >- If an automatic payments are configured, this contains the account balance amount that will trigger an automatic recharge format: decimal AutomaticRechargeEnabled: type: boolean description: Determines if automatic recharge is currently enabled. AutomaticPaymentFailureCount: type: integer description: >- Determines the number of failed automatic recharges that the system made since the last successful payment. format: int32 SavedPaymentMethods: type: array description: Contains the list of saved payment methods on the user's account nullable: true items: $ref: '#/components/schemas/BillingSavedPaymentMethod' EUUSDiscount: type: integer description: The account wide pricing discount for EU and US region. format: int32 SouthAmericaDiscount: type: integer description: The account wide pricing discount for South America region. format: int32 AfricaDiscount: type: integer description: The account wide pricing discount for Africa region. format: int32 AsiaOceaniaDiscount: type: integer description: The account wide pricing discount for Asia & Oceania region. format: int32 OptimizerMonthlyPrice: type: number description: >- Optimizer monthly price per pull zone for this account (unless overridden on pull zone level). format: decimal DrmBaseMonthlyPrice: type: number description: DRM (Enterprise) base monthly price per video library. format: decimal DrmCostPerLicense: type: number description: >- DRM (Enterprise) cost per license or default pricing tier applied if null. format: decimal nullable: true BillingRecordModel: type: object additionalProperties: false properties: Id: type: integer description: The ID of the billing record format: int64 PaymentId: type: string description: The external ID of the payment nullable: true Amount: type: number description: The amount linked to the record model format: double Payer: type: string description: The payer reference that sent the payment nullable: true Timestamp: type: string description: The date and time when the billing record was created format: date-time Type: description: |- The type of the billing record 0 = PayPal 1 = Crypto 2 = Credit Card 3 = Monthly Usage 4 = Refund 5 = Coupon Code 6 = Bank Transfer 7 = Affiliate Credits oneOf: - $ref: '#/components/schemas/BillingRecordType' InvoiceAvailable: type: boolean description: Determines if an invoice is available DocumentDownloadUrl: type: string description: >- The URL where the invoice or document can be downloaded. Null if this is not available. nullable: true DetailedDocumentDownloadUrl: type: string description: >- The URL where the document with product usage breakdown can be downloaded. Null if this is not available. nullable: true UsageBreakdown: type: object additionalProperties: false properties: Usage: type: number description: The usage based charge in USD format: decimal TotalUnits: type: integer description: The billed quantity for the related product format: int64 MeasuringUnit: type: string description: >- Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds) nullable: true BillingSavedPaymentMethod: type: object additionalProperties: false properties: Token: type: string nullable: true ImageUrl: type: string nullable: true ExpirationDate: type: string nullable: true LastFour: type: string nullable: true Email: type: string nullable: true BillingRecordType: type: integer description: |- 0 = PayPal 1 = Crypto 2 = Credit Card 3 = Monthly Usage 4 = Refund 5 = Coupon Code 6 = Bank Transfer 7 = Affiliate Credits x-enumNames: - PayPal - Crypto - CreditCard - MonthlyUsage - Refund - CouponCode - BankTransfer - AffiliateCredits enum: - 0 - 1 - 2 - 3 - 4 - 5 - 6 - 7 securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.